package smart_gs.util;

import java.awt.Component;
import java.awt.event.ComponentListener;
import java.util.EventListener;

import javax.swing.event.EventListenerList;

public class ListenersRemover {
	public static void removeAllEventListener(Object obj) {
		Class c = obj.getClass();
		EventListenerList  evtll = new EventListenerList();
		EventListener[] listeners = evtll.getListeners(c);
		for (int i =0; i < listeners.length; i++) evtll.remove(c, listeners[i]);
	}
}
